+++
title = 'Introducing Hibbian Linux'
date = 2024-08-26T23:34:26+01:00
draft = false
+++

# Introduction

Finally, I've managed to pull together enough disparate components for the
project to come together!

Please welcome:

**Hibbian Linux**, a distribution aimed at ham radio operators.

# Another one?

I know - there's plenty of options for radio operators to choose from. 
What makes this one different?

## Strong Foundations & Long Term Support

The system is built from the ground up on Debian Linux's Stable release. This
provides a strong foundation backed with years of security and support.

## Modern Software & Fast Updates

Debian's strength is in its stability, but for some of the software we want to
use, being up to date is more important. wjstx moves quickly, bpq moves quickly.
Hibbian offers the latest packages from our community to keep on top of shifting
standards and best practises.

Some packages I maintain aren't in Debian, but still deserve to be distributed
easily to users. You'll find them here!

## Deep Experience & Active Operation

Hibbian is the work of me - [hibby](https://foxk.it). I'm a core member of the
[Debian Hamradio](https://debian.org) team, maintaining software to be
distributed to Debian, Ubuntu, Raspberry Pi, Mint and more for a decade.  I've
been running a repository of software for the [UK packet radio
network](https://ukpacketradio.network/), and the lessons, sore points and work
from this has naturally expanded into Hibbian.

I run the software I maintain, I run software maintained by others and I try to
make computers do interesting things over radio. In other words, I eat my own
dog food.

Where possible, contributions and modifications will go back to Debian and
software authors.

## Stand-Alone Principles

I don't believe in trusting other companies to host the code, data or the packages on
my behalf - everything is owned and run as 'Hibbian'.

  - You will find the code on our own [git
    forge](https://git.hibbian.org/Hibbian/), where bug reports and issues are
    welcomed.
  - You'll find email communication hosted on Hibbian infrastructure
  - You won't find Hibbian on Discord - try JS8 or Packet.

When all else fails, somehow I'll still be able to continue and communicate.

# Two Ways to Install

There are two ways to run the Hibbian collection of software - as a repository
for your existing OS, or as a complete OS itself.

## Repo

Can't run the whole thing or don't want to commit? Don't worry - I ship software
in the 'repo' for Debian & Raspberry Pi. You can pick and choose the latest
packages to be delivered straight to your computer and not have to reinstall
anything.

  * Bullseye - 11 - Oldstable
  * Bookworm - 12 - Stable
  * Trixie - 13 Testing

To learn more, see the installation pages on the
[guide](https://guide.hibbian.org/repo/).

## Full Distro

For those who want a more convenient option, the full Hibbian distribution based
on Debian Bookworm for x86_64 and Raspberry Pi will arrive later this year.
